AbstractClasspathEntry (Gradle API 8.11)

Package org.gradle.plugins.ide.eclipse.model

## Class AbstractClasspathEntry

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

- All Implemented Interfaces:
    `ClasspathEntry`
  Direct Known Subclasses:
    `AbstractLibrary`, `Container`, `ProjectDependency`, `SourceFolder`

      public abstract class AbstractClasspathEntry
      extends java.lang.Object
      implements ClasspathEntry

  Common superclass for all `ClasspathEntry` instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.Set<AccessRule>` | `accessRules` |
    `static java.lang.String` | `COMPONENT_DEPENDENCY_ATTRIBUTE` |
    `static java.lang.String` | `COMPONENT_NON_DEPENDENCY_ATTRIBUTE` |
    `protected java.util.Map<java.lang.String,​java.lang.Object>` | `entryAttributes` |
    `protected boolean` | `exported` |
    `protected java.lang.String` | `path` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractClasspathEntry​(Node node)` |
    `AbstractClasspathEntry​(java.lang.String path)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Node` | `addClasspathEntry​(Node node, java.util.Map<java.lang.String,​?> attributes)` |
    `void` | `appendNode​(Node node)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `java.util.Set<AccessRule>` | `getAccessRules()` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getEntryAttributes()` |
    `java.lang.String` | `getNativeLibraryLocation()` |
    `java.lang.String` | `getPath()` |
    `int` | `hashCode()` |
    `boolean` | `isExported()` |
    `protected java.lang.String` | `normalizePath​(java.lang.String path)` |
    `void` | `setAccessRules​(java.util.Set<AccessRule> accessRules)` |
    `void` | `setExported​(boolean exported)` |
    `void` | `setNativeLibraryLocation​(java.lang.String location)` |
    `void` | `setPath​(java.lang.String path)` |
    `java.lang.String` | `toString()` |
    `void` | `writeEntryAttributes​(Node node)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.plugins.ide.eclipse.model.ClasspathEntry

      `getKind`

- - ### Field Detail

    - #### COMPONENT_NON_DEPENDENCY_ATTRIBUTE

          public static final java.lang.String COMPONENT_NON_DEPENDENCY_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### COMPONENT_DEPENDENCY_ATTRIBUTE

          public static final java.lang.String COMPONENT_DEPENDENCY_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### path

          protected java.lang.String path

    - #### exported

          protected boolean exported

    - #### accessRules

          protected java.util.Set<AccessRule> accessRules

    - #### entryAttributes

          protected final java.util.Map<java.lang.String,​java.lang.Object> entryAttributes

  - ### Constructor Detail

    - #### AbstractClasspathEntry

          public AbstractClasspathEntry​(Node node)

    - #### AbstractClasspathEntry

          public AbstractClasspathEntry​(java.lang.String path)

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

    - #### setPath

          public void setPath​(java.lang.String path)

    - #### isExported

          public boolean isExported()

    - #### setExported

          public void setExported​(boolean exported)

    - #### getAccessRules

          public java.util.Set<AccessRule> getAccessRules()

    - #### setAccessRules

          public void setAccessRules​(java.util.Set<AccessRule> accessRules)

    - #### getEntryAttributes

          public java.util.Map<java.lang.String,​java.lang.Object> getEntryAttributes()

    - #### getNativeLibraryLocation

          public java.lang.String getNativeLibraryLocation()

    - #### setNativeLibraryLocation

          public void setNativeLibraryLocation​(java.lang.String location)

    - #### appendNode

          public void appendNode​(Node node)

      Specified by:
        `appendNode` in interface `ClasspathEntry`

    - #### addClasspathEntry

          protected Node addClasspathEntry​(Node node,
                                           java.util.Map<java.lang.String,​?> attributes)

    - #### normalizePath

          protected java.lang.String normalizePath​(java.lang.String path)

    - #### writeEntryAttributes

          public void writeEntryAttributes​(Node node)

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`